Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreatePlacementGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreatePlacementGroupRequest

    public class CreatePlacementGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreatePlacementGroup operation`.

Creates a PlacementGroup into which multiple Amazon EC2 instances can be launched. Users must give the group a name unique within the scope of the user account.

See Also:
  `AmazonEC2.createPlacementGroup(CreatePlacementGroupRequest)`

Constructor Summary
`CreatePlacementGroupRequest()`

Method Summary
`String` | `getGroupName()` The name of the `PlacementGroup`.
`String` | `getStrategy()` The `PlacementGroup` strategy.
`void` | `setGroupName(String groupName)` The name of the `PlacementGroup`.
`void` | `setStrategy(String strategy)` The `PlacementGroup` strategy.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreatePlacementGroupRequest` | `withGroupName(String groupName)` The name of the `PlacementGroup`.
`CreatePlacementGroupRequest` | `withStrategy(String strategy)` The `PlacementGroup` strategy.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreatePlacementGroupRequest

    public CreatePlacementGroupRequest()

Method Detail

### getGroupName

    public String getGroupName()

  The name of the `PlacementGroup`.

  Returns:
    The name of the `PlacementGroup`.

### setGroupName

    public void setGroupName(String groupName)

  The name of the `PlacementGroup`.

  Parameters:
    `groupName` - The name of the `PlacementGroup`.

### withGroupName

    public CreatePlacementGroupRequest withGroupName(String groupName)

  The name of the `PlacementGroup`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of the `PlacementGroup`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStrategy

    public String getStrategy()

  The `PlacementGroup` strategy.

  Constraints:
  Allowed Values: cluster

  Returns:
    The `PlacementGroup` strategy.
  See Also:
    `PlacementStrategy`

### setStrategy

    public void setStrategy(String strategy)

  The `PlacementGroup` strategy.

  Constraints:
  Allowed Values: cluster

  Parameters:
    `strategy` - The `PlacementGroup` strategy.
  See Also:
    `PlacementStrategy`

### withStrategy

    public CreatePlacementGroupRequest withStrategy(String strategy)

  The `PlacementGroup` strategy.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: cluster

  Parameters:
    `strategy` - The `PlacementGroup` strategy.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `PlacementStrategy`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.